Bug 469086 - Add email option to sosreport
Add email option to sosreport
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos (Show other bugs)
5.6
All Linux
medium Severity medium
: rc
: ---
Assigned To: Bryn M. Reeves
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 16:03 EDT by Jim Wildman
Modified: 2011-04-06 09:57 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-06 09:57:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Wildman 2008-10-29 16:03:28 EDT
+++ This bug was initially created as a clone of Bug #463257 +++

An option to automatically mail the report somewhere would be useful as well.

We often do the following

run sosreport
scp to our desktop
email to destination

better would be

sosreport -t someone@somewhere
Comment 4 Pierre Carrier 2010-11-18 10:13:52 EST
Hello Jim,


You can avoid using a desktop mailer with mutt:
mutt -s "sosreport" -a /tmp/sosreport-details.tar.bz2 someone@somewhere < sosreport_message

The 'mail' command from RHEL6 also provides support for attachments using the -a switch.


Best regards,

-- 
Pierre Carrier

Note You need to log in before you can comment on or make changes to this bug.